UMAD_SET_ADDR(3)

NAME
umad_set_addr - set MAD address fields within umad buffer using host ordering

SYNOPSIS
#include <infiniband/umad.h>

int umad_set_addr(void *umad, int dlid, int dqp, int sl, int qkey);

DESCRIPTION
umad_set_addr() sets the MAD address fields within the specified umad buffer using the provided host ordered fields. dlid is the destination LID. dqp is the destination QP (queue pair). sl is the SL (service level). qkey is the Q_Key (queue key).

RETURN VALUE
umad_set_addr() returns 0 on success, and a negative value on errors. Currently, there are no errors indicated.

SEE ALSO
umad_set_addr_net(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>